@echo off
 setlocal
 SET ZipQuelle_DP=%~1
 SET ZipArchiv_DPNE=%~2

 SET ZipQuelle_DP=D:\
 SET ZipArchiv_DPNE=D:\tmp\D-i.zip

 if "%ZipQuelle_DP%"==""  goto ErrInfo
 if "%ZipArchiv_DPNE%"=="" goto ErrInfo
 goto los

:ErrInfo
 echo.
 echo   Error in parameters 
 echo   Anleitung:
 echo   P1 = Quell Ordner (z.B. C:\Projekte\P401023)
 echo   P2 = ZipArchiv Pfad/Datei zur Zip Archiv Datei (z.B.: C:\Projekte.Archiv\P401023.Zip)
 echo.
 echo   call ..\BIN\Zip_DP.cmd C:\Projekte\P401023 C:\Projekte.Archiv\P401023.Zip
 echo.
 pause
 goto ende


:los
 rem set default zip source dir
 PUSHD %ZipQuelle_DP%
 Echo create Zip File
 Echo Source Dir: %ZipQuelle_DP%\..
 Echo Zipfile   : %ZipArchiv_DPNE%
 set toRun="%~dp07z.exe" a -p1qay -r -u "%ZipArchiv_DPNE%"
 set toRun="%~dp07z.exe" a -p1qay -r -u -sfx7z.sfx "%ZipArchiv_DPNE%.exe"
 set toRun="%~dp07z.exe" a -p1qay -r -sfx7z.sfx "%ZipArchiv_DPNE%.exe" *.doc
 set toRun="%~dp07z.exe" a -r -sfx7z.sfx "%ZipArchiv_DPNE%.exe" D:\i\*.doc

 set toRun="%~dp07z.exe" a -r "%ZipArchiv_DPNE%" .\i\*.*
 set toRun="%~dp07z.exe" a -r -sfx7z.sfx "%ZipArchiv_DPNE%.exe" .\i\*.*
 Echo toRun:%toRun%
 %toRun%
 rem -r -D -9 -q "%ZipArchiv_DPNE%" *.*
 rem zurueck in das Ausgangsverzeichniss
 POPD

 pause
 exit
 goto ende

:ende
 endlocal
